<?PHP
session_start();
if (!isset($_SESSION['login-slide'])) {
    header("Location: index.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title></title>
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="css/bootstrap-toggle.min.css" rel="stylesheet">
    <link href="css/custom.css" rel="stylesheet" >
    <script src="js/jquery.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.dataTables.min.js"></script>
    <script src="js/dataTables.bootstrap.min.js"></script>
	  <script src="js/bootstrap-toggle.min.js"></script>
</head>

<body>
<?php
	include ('config/thai_date.php');
	include ('config/mysql_connection_class.php');
	include ('config/connect.php');
	$mysql = new MySQL_Connection("$host", "$user", "$pw", "$dbname");
	$mysql->charset = 'utf8';
  $sqlUpdateStatus = 'UPDATE [slide_index] SET [status_slide] = "0" WHERE DATEDIFF(date_finish,NOW()) <= "0"';
    $mysql->query($sqlUpdateStatus);
?>

<div class="panel panel-primary">
<div class="panel-heading">
    <h3 class="panel-title">เปิด-ปิด การใช้งานภาพ slide</h3>
  </div>
  <div class="panel-body">
<form name="update" id="update"  method="post" action="">
<table class="table table-striped table-bordered table-hover" id="ss_table">
     <thead>
      <tr>
      	<th>ID.</th>
      	<th>PREVIEW</th>
      	<th>สิ้นสุด</th>
      	<th>เปิด-ปิด</th>
      </tr>
       </thead>
     <tbody>
      <?php

	  $sql = 'SELECT * FROM [slide_index]';
		$mysql->query($sql);
		$total =$mysql->numRows;
		$no = 1;
		while($rs = $mysql->fetch()){
		?>
	  <tr id="top">
      <td class="id">
	        <?php echo $rs['id']; ?>
      </td>

	 <td class="preview">
	 <div id="show_img">
	   <a href="slide/<?php echo $rs['name_slide']; ?>" target="_blank"><img src="slide/<?php echo $rs['name_slide']; ?>"></a>
	  </div>
      </td>

	 <td class="date">
	    <?php echo $rs['date_finish']; ?>
      </td>

	<td class="ON-OFF">
  <?php
      if($rs['status_slide'] =="1"){
  ?>
      <input name="icon<?php echo $rs['id']; ?>" id="icon<?php echo $rs['id']; ?>" rel="<?php echo $rs['id']; ?>"  type="checkbox" data-toggle="toggle" data-on="เปิดใช้งาน" data-off="ปิดใช้งาน" data-onstyle="success" data-offstyle="danger" checked>

  <?php
       }else if($rs['status_slide'] =="0"){
  ?>
      <input name="icon<?php echo $rs['id']; ?>" id="icon<?php echo $rs['id']; ?>" rel="<?php echo $rs['id']; ?>"  type="checkbox" data-toggle="toggle" data-on="เปิดใช้งาน" data-off="ปิดใช้งาน" data-onstyle="success" data-offstyle="danger">
  <?php
       }else{
  ?>
      <button>ภาพ slide แรกเสมอ</button>
  <?php
       }
  ?>
  <script>
  $(function() {
    $('#icon<?php echo $rs['id']; ?>').change(function() {
    	//alert($(this).prop('checked'));
    	var ch_val = $(this).prop('checked');
    	var rel = $(this).attr('rel');
    	//alert(ch_val);

    	if(ch_val==true){
    		var status = 1;
    		//alert(status);
    	}
    	if(ch_val==false){
    		var status = 0;
    		//alert(status);
    	}

      $.ajax({
        	url: 'update_status_slide.php',
        	type: 'POST',
        	data: {id: rel, value: status,},
        	async: false,
        	success: function (data) {
            console.log(data);
         		}
    		});

     })
  })
</script>
	</td>


      </tr>

<?php
++$no;
}

	  ?>
     </tbody>
      </table>
      </form>
  </div>
</div>

<script>
// $.fn.editable.defaults.mode = 'popup';//inline
  $(document).ready(function() {

      $('#ss_table').dataTable({
		   responsive: true,
          "order": [[ 0, "desc" ]],
		    });
      	  });   
	
    </script>
</body>
</html>